# hmy\_getSignedBlocks

## Description

hmy\_getSigned blocks returns number of blocks out of last 1500 validator has signed

## Parameters

1. `String` - validator one address ("one1...")

## Returns

* `Number` - total number of signed blocks out of last 1500 blocks

## Sample Curl Request

```bash
curl -d '{
    "jsonrpc": "2.0",
    "method": "hmy_getSignedBlocks",
    "params": ["one103q7qe5t2505lypvltkqtddaef5tzfxwsse4z7"],
    "id": 1
}' -H "Content-Type: application/json" -X POST "https://api.s0.b.hmny.io"
```

## **Sample Curl Response**

```javascript
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": "0x12"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.harmony.one/home/developers/api/methods/staking-related-methods/hmy_getsignedblocks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
